---
title: 列出護欄 | RunAPI
description: 列出當前帳戶中的作用中護欄。
url: https://runapi.ai/zh-HK/docs/api/management/guardrails/list.md
canonical: https://runapi.ai/zh-HK/docs/api/management/guardrails/list
locale: zh-HK
---

> HTML 版本: https://runapi.ai/zh-HK/docs/api/management/guardrails/list
> 智能代理網站索引: https://runapi.ai/llms.txt

# 列出護欄

列出當前帳戶中的作用中護欄。

## 端點

GET /api/v1/guardrails

基礎 URL: https://runapi.ai

API 版本: v1

身份驗證: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


授權: 需要帳號管理員管理 API 金鑰。

## 請求

僅在列出的請求位置傳送值。

### 查詢參數

```json
{
  "limit": {
    "default": 20,
    "description": "每頁返回的最多護欄數量。",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  },
  "page": {
    "default": 1,
    "description": "偏移頁碼。值從 1 開始。",
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## 成功回應

HTTP 200 - GET /api/v1/guardrails

```json
{
  "guardrails": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "allowed_providers": [],
      "assignment_count": 1,
      "blocked_models": [],
      "blocked_providers": [],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 50000,
      "credit_limit_reset_interval": "monthly",
      "description": "Production policy",
      "enabled": true,
      "id": "guardrail_123",
      "model_budgets": [
        {
          "credit_limit_cents": 10000,
          "credit_limit_reset_interval": "monthly",
          "match_mode": "include",
          "models": [
            "gpt-5.4"
          ]
        }
      ],
      "name": "Production budget"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
```

## 錯誤回應（401）

HTTP 401

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Authentication required"
}
```

## 錯誤回應（403）

HTTP 403

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Management API key required"
}
```

## 錯誤回應（403）

HTTP 403

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Account admin required"
}
```

## 錯誤回應（400）

HTTP 400

### 回應結構

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為鍵的驗證訊息，每個欄位對應一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 回應範例

```json
{
  "error": "page must be an integer"
}
```

## cURL 範例



### curl

```curl
curl -X GET https://runapi.ai/api/v1/guardrails?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## 相關參考資料

- [護欄](https://runapi.ai/zh-HK/docs/api/management/guardrails.md)
- [Guardrail 物件](https://runapi.ai/zh-HK/docs/api/management/guardrails/object.md)

---

## RunAPI 的更多內容

- [首頁](https://runapi.ai/zh-HK/.md)
- [模型目錄](https://runapi.ai/zh-HK/models.md)
- [收費](https://runapi.ai/zh-HK/pricing.md)
- [服務商](https://runapi.ai/zh-HK/models)
- [文件](https://runapi.ai/zh-HK/docs/guides)
- [SDK](https://runapi.ai/zh-HK/sdk.md)
- [CLI](https://runapi.ai/zh-HK/cli.md)
- [MCP Server](https://runapi.ai/zh-HK/mcp.md)
- [Claude Code 與 Cursor](https://runapi.ai/zh-HK/claude-code-vs-cursor.md)
- [Cursor API 設定](https://runapi.ai/zh-HK/cursor-api-setup.md)
- [RunAPI 與 OpenRouter](https://runapi.ai/zh-HK/openrouter-alternative.md)
- [企業版](https://runapi.ai/zh-HK/contact.md)
- [聯絡](https://runapi.ai/zh-HK/contact.md)
- [條款](https://runapi.ai/zh-HK/terms.md)
- [私隱](https://runapi.ai/zh-HK/privacy.md)
- [智能代理網站索引](https://runapi.ai/llms.txt)

聯絡我們: contact@runapi.ai

## 結構化資料

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-HK",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/zh-HK/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-HK",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/zh-HKicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "TechArticle",
    "headline": "列出護欄",
    "description": "列出當前帳戶中的作用中護欄。",
    "url": "https://runapi.ai/zh-HK/docs/api/management/guardrails/list",
    "mainEntityOfPage": "https://runapi.ai/zh-HK/docs/api/management/guardrails/list"
  }
]
```
